<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlFrameCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlFrameCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Frame config API parameters.  
 <a href="structrl_frame_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a241687eada9feb53dd9ea4cd3c5ed28a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a241687eada9feb53dd9ea4cd3c5ed28a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#a241687eada9feb53dd9ea4cd3c5ed28a">reserved</a></td></tr>
<tr class="memdesc:a241687eada9feb53dd9ea4cd3c5ed28a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a241687eada9feb53dd9ea4cd3c5ed28a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fa2579eb89ba6a6732a73a45ad5b474"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1fa2579eb89ba6a6732a73a45ad5b474"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#a1fa2579eb89ba6a6732a73a45ad5b474">chirpStartIdx</a></td></tr>
<tr class="memdesc:a1fa2579eb89ba6a6732a73a45ad5b474"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start Index of Chirp Valid range = 0-511. <br /></td></tr>
<tr class="separator:a1fa2579eb89ba6a6732a73a45ad5b474"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff43d2b1ca21f2f9ddd4e187e0a0ab3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ff43d2b1ca21f2f9ddd4e187e0a0ab3"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#a7ff43d2b1ca21f2f9ddd4e187e0a0ab3">chirpEndIdx</a></td></tr>
<tr class="memdesc:a7ff43d2b1ca21f2f9ddd4e187e0a0ab3"><td class="mdescLeft">&#160;</td><td class="mdescRight">End Index of Chirp Valid range = chirpStartIdx-511. <br /></td></tr>
<tr class="separator:a7ff43d2b1ca21f2f9ddd4e187e0a0ab3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f3cf525d5792d9f906c72cd7e76f66d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f3cf525d5792d9f906c72cd7e76f66d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#a6f3cf525d5792d9f906c72cd7e76f66d">numLoops</a></td></tr>
<tr class="memdesc:a6f3cf525d5792d9f906c72cd7e76f66d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of times to repeat from chirpStartIdx to chirpStartIdx in each frame, <br />
 valid range = 1 to 255 <br />
. <br /></td></tr>
<tr class="separator:a6f3cf525d5792d9f906c72cd7e76f66d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07f243612d36cda356c7a4c8af3f3aad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07f243612d36cda356c7a4c8af3f3aad"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#a07f243612d36cda356c7a4c8af3f3aad">numFrames</a></td></tr>
<tr class="memdesc:a07f243612d36cda356c7a4c8af3f3aad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of frame to transmit <br />
 Valid Range 0 to 65535 (0 for infinite frames) <br />
 Note: This field is ignored and internally assumed as 1 if this mmwave device <br />
 is configured as MULTICHIP_SLAVE in <a class="el" href="structrl_chan_cfg__t.html" title="Rx/Tx Channel Configuration. ">rlChanCfg_t</a>. <br />
. <br /></td></tr>
<tr class="separator:a07f243612d36cda356c7a4c8af3f3aad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48efb431026dea74355bda2531cfdd14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48efb431026dea74355bda2531cfdd14"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#a48efb431026dea74355bda2531cfdd14">numAdcSamples</a></td></tr>
<tr class="memdesc:a48efb431026dea74355bda2531cfdd14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of ADC samples to capture This parameter is required only for AWR1243 and <br />
 configures the size of ADC samples per chirp to be sent on LVDS/CSI2 <br />
 interface.<br />
 It should be configured as: For real/pseudo real ADC data - numADCSamples = <a class="el" href="structrl_profile_cfg__t.html#a9448ecc83ce18857f1f1efba82af3d72" title="Number of ADC samples to capture in a chirp for each RX   Valid range: 64 to MAX_NUM_SAMPLES  Where M...">rlProfileCfg_t.numAdcSamples</a> <br />
 For complex1x/complex2x ADC data - <br />
 numADCSamples = (<a class="el" href="structrl_profile_cfg__t.html#a9448ecc83ce18857f1f1efba82af3d72" title="Number of ADC samples to capture in a chirp for each RX   Valid range: 64 to MAX_NUM_SAMPLES  Where M...">rlProfileCfg_t.numAdcSamples</a> ) * 2 <br />
. <br /></td></tr>
<tr class="separator:a48efb431026dea74355bda2531cfdd14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac50bd4cbb2d958a96d029ed68cd154cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac50bd4cbb2d958a96d029ed68cd154cc"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#ac50bd4cbb2d958a96d029ed68cd154cc">framePeriodicity</a></td></tr>
<tr class="memdesc:ac50bd4cbb2d958a96d029ed68cd154cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame repitition period <br />
 1 LSB = 5 ns<br />
 Typical range 1 ms to 1000 ms <br />
. <br /></td></tr>
<tr class="separator:ac50bd4cbb2d958a96d029ed68cd154cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6ace1c6849b3e8eaba9670bf1f80671"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae6ace1c6849b3e8eaba9670bf1f80671"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#ae6ace1c6849b3e8eaba9670bf1f80671">triggerSelect</a></td></tr>
<tr class="memdesc:ae6ace1c6849b3e8eaba9670bf1f80671"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selects the mode for triggering start of transmission of frame <br />
 0x0001 SWTRIGGER (Software API based triggering): <br />
 Frame is triggered upon receiving rlSensorStart<br />
 There could be several tens of micro seconds uncertainty in triggering. <br />
 Note: This mode is not applicable if this mmwave device is configured as <br />
 MULTICHIP_SLAVE in <a class="el" href="structrl_chan_cfg__t.html" title="Rx/Tx Channel Configuration. ">rlChanCfg_t</a> <br />
 0x0002 HWTRIGGER (Hardware SYNC_IN based triggering): <br />
 Each frame is triggered by rising edge of pulse in SYNC_IN pin, after receiving rlSensorStart (this is to prevent spurious transmission). W.r.t. the SYNC_IN pulse, the actual transmission has 5ns uncertainty in <br />
 SINGLECHIP and only a 300 ps uncertainty (due to tight inter-chip synchronization needed) in MULTICHIP sensor applications as defined in <a class="el" href="structrl_chan_cfg__t.html" title="Rx/Tx Channel Configuration. ">rlChanCfg_t</a>. <br />
. <br /></td></tr>
<tr class="separator:ae6ace1c6849b3e8eaba9670bf1f80671"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3eb9ab3c00df37b611f6ed6681a1f8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3eb9ab3c00df37b611f6ed6681a1f8a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#ab3eb9ab3c00df37b611f6ed6681a1f8a">reserved2</a></td></tr>
<tr class="memdesc:ab3eb9ab3c00df37b611f6ed6681a1f8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ab3eb9ab3c00df37b611f6ed6681a1f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23c99658e8839362e1a2ab74fd118eb8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a23c99658e8839362e1a2ab74fd118eb8"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_frame_cfg__t.html#a23c99658e8839362e1a2ab74fd118eb8">frameTriggerDelay</a></td></tr>
<tr class="memdesc:a23c99658e8839362e1a2ab74fd118eb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional time delay from sync_in trigger to the occurance of frame chirps <br />
 Applicable only in SINGLECHIP sensor applications, as defined in <a class="el" href="structrl_chan_cfg__t.html" title="Rx/Tx Channel Configuration. ">rlChanCfg_t</a>.<br />
 It is recommended only for staggering the transmission of multiple mmwave <br />
 sensors around the car for interference avoidance, if needed.<br />
 1 lsb = 5 ns <br />
 Typical range is 0 to few tens of micro seconds. <br />
. <br /></td></tr>
<tr class="separator:a23c99658e8839362e1a2ab74fd118eb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Frame config API parameters. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
